Hopper.Authentication.OpenIdConnect.Pkce 1.0.2

.NET Core 3.1
Install-Package Hopper.Authentication.OpenIdConnect.Pkce -Version 1.0.2
dotnet add package Hopper.Authentication.OpenIdConnect.Pkce --version 1.0.2
<PackageReference Include="Hopper.Authentication.OpenIdConnect.Pkce" Version="1.0.2" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Hopper.Authentication.OpenIdConnect.Pkce --version 1.0.2
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: Hopper.Authentication.OpenIdConnect.Pkce, 1.0.2"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Hopper.Authentication.OpenIdConnect.Pkce as a Cake Addin
#addin nuget:?package=Hopper.Authentication.OpenIdConnect.Pkce&version=1.0.2

// Install Hopper.Authentication.OpenIdConnect.Pkce as a Cake Tool
#tool nuget:?package=Hopper.Authentication.OpenIdConnect.Pkce&version=1.0.2
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

This package it's an easy way to enable PKCE (Proof Key for Code Exchange) in ASP.NET Core application. PKCE it's an extension to OAuth 2.0 for public clients (e.g., native and single-page applications) has been designed to prevent interception of authorization code.

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp3.1
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.2 369 11/10/2020
1.0.1 230 11/10/2020
1.0.0 205 11/3/2020